# Reference

- [API Reference](https://docs.aurowallet.com/general/reference/api-reference.md)
- [Methods](https://docs.aurowallet.com/general/reference/api-reference/methods.md)
- [mina\_accounts](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_accounts.md): This method is used to request the current connected account. It is a silent request. If there is a connected account, it will return the connected account. If not, it will return an empty array.
- [mina\_requestAccounts](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestaccounts.md): This method is used to request the current connect account. If there is a connected account, the connected account will be returned. If not, a popup window will show to request a connection.
- [mina\_requestNetwork](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestnetwork.md): This method is used to request the chain info of the Auro wallet.
- [mina\_sendPayment](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendpayment.md): This method is used to call  Auro Wallet send payment (current support send MINA ) by zkApp.
- [mina\_sendStakeDelegation](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendstakedelegation.md): This method is used by zkApp to call Auro Wallet stake delegation.
- [mina\_sendTransaction](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sendtransaction.md): This method is used for sign and broadcast zkApp transaction.
- [mina\_addChain](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_addchain.md): This method is used to add a custom chain to Auro Wallet.
- [mina\_switchChain](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_switchchain.md): This method is used to switch chain of Auro Wallet by chainId.
- [mina\_createNullifier](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_createnullifier.md): Mainly used to create nullifiers.
- [mina\_signMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_signmessage.md): This method is used to sign message.
- [mina\_sign\_JsonMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_sign_jsonmessage.md): This method is used to sign Json message.
- [mina\_verifyMessage](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_verifymessage.md): This method is used to verify the validity of the signature info.
- [mina\_signFields](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_signfields.md): This method is used to sign the field.
- [mina\_verifyFields](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_verifyfields.md): This method is used to verify the signature results of fields.
- [mina\_storePrivateCredential](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_storeprivatecredential.md): This method is used to store private credentials.
- [mina\_requestPresentation](https://docs.aurowallet.com/general/reference/api-reference/methods/mina_requestpresentation.md): This method is used to verify presentation.
- [Events](https://docs.aurowallet.com/general/reference/api-reference/events.md): Here are the monitoring events of the provider. There are currently two types of events, account update and chain update.
- [Error](https://docs.aurowallet.com/general/reference/api-reference/error.md): Here is the error message returned by Auro Wallet.
- [Source](https://docs.aurowallet.com/general/reference/api-reference/source.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurowallet.com/general/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
